{% extends 'base.html' %}
{% load static %}

{% block additionalHeaders %}
    <title>THE CIMS</title>
{% endblock %}

{% block content %} 
  {% include "base.html" %}
    <div class="container">
        <h1>MENGGUNAKAN APPAREL</h1>
        {% if request.session.role == 'admin' %}
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th scope="col">Username Pemain</th>
                    <th scope="col">Nama Tokoh</th>
                    <th scope="col">Nama Apparel</th>
                    <th scope="col">Warna</th>
                    <th scope="col">Nama Pekerjaan</th>
                    <th scope="col">Kategori</th>
                </tr>
            </thead>
            <tbody>
                {% for row in hasil %}
                <tr>
                    <th> {{ forloop.counter }} </th>
                    <th> {{ row.username_pengguna }} </th>
                    <th> {{ row.nama_tokoh }} </th>
                    <th> {{ row.nama }} </th>
                    <th> {{ row.warna_apparel }} </th>
                    <th> {{ row.nama_pekerjaan }} </th>
                    <th> {{ row.kategori_apparel }} </th>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}

        {% if request.session.role == 'pemain' %}
        <table class="table">
            <thead>
                <tr>
                  <th scope="col">No</th>
                  <th scope="col">Nama Tokoh</th>
                  <th scope="col">Nama Apparel</th>
                  <th scope="col">Warna</th>
                  <th scope="col">Nama Pekerjaan</th>
                  <th scope="col">Kategori</th>
                  <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                {% for row in hasil %}
                  {% if request.session.username == row.username_pengguna %}
                  <tr>
                    <th> {{ forloop.counter }} </th>
                    <th> {{ row.nama_tokoh }} </th>
                    <th> {{ row.nama }} </th>
                    <th> {{ row.warna_apparel }} </th>
                    <th> {{ row.nama_pekerjaan }} </th>
                    <th> {{ row.kategori_apparel }} </th>
                    <th><a class="btn btn-primary" href="{% url 'delete-menggunakan-apparel' row.nama_tokoh row.nama %}" role="button">Lepas</a></th>
                  </tr>
                  {% endif %}
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
{% endblock %}